package net.northking.cctp.scriptcase.dto.atuScript.atuScriptInfo;

import java.io.Serializable;

/**
 * <p>Title: AtuPlanScriptDetailDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/09/04
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class AtuPlanScriptDetailDto implements Serializable {
    /**
     * 脚本编号
     */
    private String scriptId;

    /**
     * 脚本版本id<br>
     */
    private Integer versionId;
    /**
     * 脚本版本名称<br>
     */
    private String versionName;

    /**
     * 脚本类型
     */
    private String scriptType;

    /**
     * 脚本名称
     */
    private String scriptName;

    /**
     * 脚本地址
     */
    private String scriptPath;

    /**
     * 应用平台类型
     */
    private String platformType;

    /**
     * 应用包名
     */
    private String appPackage;

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public Integer getVersionId() {
        return versionId;
    }

    public void setVersionId(Integer versionId) {
        this.versionId = versionId;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getScriptType() {
        return scriptType;
    }

    public void setScriptType(String scriptType) {
        this.scriptType = scriptType;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getScriptPath() {
        return scriptPath;
    }

    public void setScriptPath(String scriptPath) {
        this.scriptPath = scriptPath;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public String getAppPackage() {
        return appPackage;
    }

    public void setAppPackage(String appPackage) {
        this.appPackage = appPackage;
    }
}
